Error solr4 on tomcat linux

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Active Member

Error solr4 on tomcat linux

Hello,

We are working on a alfresco-5.0.b and there are repetitive errors on alfresco-5.0.b/tomcat/logs/catalina.out :

org.apache.solr.common.SolrException: version conflict for _DEFAULT_!800000000000000b!800000000011aaa0 expected=1546173748784136192 actual=1546173748808253440
        at org.apache.solr.update.processor.DistributedUpdateProcessor.versionAdd(DistributedUpdateProcessor.java:976)
        at org.apache.solr.update.processor.DistributedUpdateProcessor.processAdd(DistributedUpdateProcessor.java:693)
        at org.alfresco.solr.SolrInformationServer.updateContentToIndexAndCache(SolrInformationServer.java:2152)
        at org.alfresco.solr.tracker.ContentTracker$ContentIndexWorkerRunnable.doWork(ContentTracker.java:117)
        at org.alfresco.solr.tracker.AbstractWorkerRunnable.run(AbstractWorkerRunnable.java:40)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
        at java.lang.Thread.run(Unknown Source)

Thanks for helping,

3 Replies
Highlighted
Intermediate

Re: Error solr4 on tomcat linux

Hi,

Did you tried an solr upgrade by chance? I've found this topic, maybe can be helpful for you: 

Could you please give us more details?

Cheers,

Cristina.

Highlighted
Active Member

Re: Error solr4 on tomcat linux

Hi,

Thanks for replying, i didn' t try to upgrade solr4 or alfresco.

Best regards,

Eli

Le 24/05/2017 22:18, cristinamr a écrit :

ALFRESCO COMMUNITY

RE: ERROR SOLR4 ON TOMCAT LINUX

reply from Cristina MR in Alfresco ECM - View the full discussion

Highlighted
Intermediate

Re: Error solr4 on tomcat linux

Could you please try to reindex (Performing a full reindex with Solr 4 | Alfresco Documentation ) restart and check if you have similar errors on catalina.out?